com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum ScheduledTask.Type

- java.lang.Object
- - java.lang.Enum<ScheduledTask.Type>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.ScheduledTask.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ScheduledTask.Type>
  Enclosing class:
    ScheduledTask

      public static enum ScheduledTask.Type
      extends java.lang.Enum<ScheduledTask.Type>

  Scheduled Task Type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKUP`
    `CHECK_FOR_SECURITY_UPDATES`
    `CHECK_FOR_SOFTWARE_UPDATES`
    `DISCOVER_COMPUTERS`
    `GENERATE_REPORT`
    `RUN_SCRIPT`
    `SCAN_FOR_INTEGRITY_CHANGES`
    `SCAN_FOR_MALWARE`
    `SCAN_FOR_OPEN_PORTS`
    `SCAN_FOR_RECOMMENDATIONS`
    `SEND_ALERT_SUMMARY`
    `SEND_POLICY`
    `SYNCHRONIZE_CLOUD_ACCOUNT`
    `SYNCHRONIZE_DIRECTORY`
    `SYNCHRONIZE_USERS`
    `SYNCHRONIZE_VCENTER`
    `UPDATE_SUSPICIOUS_OBJECTS_LIST`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canHaveRecipients()`
    `static ScheduledTask.Type` | `forValue(int value)`
    `int` | `getValue()`
    `static ScheduledTask.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ScheduledTask.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BACKUP

          public static final ScheduledTask.Type BACKUP

    - #### SCAN_FOR_OPEN_PORTS

          public static final ScheduledTask.Type SCAN_FOR_OPEN_PORTS

    - #### SEND_ALERT_SUMMARY

          public static final ScheduledTask.Type SEND_ALERT_SUMMARY

    - #### DISCOVER_COMPUTERS

          public static final ScheduledTask.Type DISCOVER_COMPUTERS

    - #### RUN_SCRIPT

          public static final ScheduledTask.Type RUN_SCRIPT

    - #### SEND_POLICY

          public static final ScheduledTask.Type SEND_POLICY

    - #### GENERATE_REPORT

          public static final ScheduledTask.Type GENERATE_REPORT

    - #### SYNCHRONIZE_DIRECTORY

          public static final ScheduledTask.Type SYNCHRONIZE_DIRECTORY

    - #### SYNCHRONIZE_USERS

          public static final ScheduledTask.Type SYNCHRONIZE_USERS

    - #### SCAN_FOR_RECOMMENDATIONS

          public static final ScheduledTask.Type SCAN_FOR_RECOMMENDATIONS

    - #### SYNCHRONIZE_VCENTER

          public static final ScheduledTask.Type SYNCHRONIZE_VCENTER

    - #### SCAN_FOR_INTEGRITY_CHANGES

          public static final ScheduledTask.Type SCAN_FOR_INTEGRITY_CHANGES

    - #### SCAN_FOR_MALWARE

          public static final ScheduledTask.Type SCAN_FOR_MALWARE

    - #### CHECK_FOR_SECURITY_UPDATES

          public static final ScheduledTask.Type CHECK_FOR_SECURITY_UPDATES

    - #### SYNCHRONIZE_CLOUD_ACCOUNT

          public static final ScheduledTask.Type SYNCHRONIZE_CLOUD_ACCOUNT

    - #### CHECK_FOR_SOFTWARE_UPDATES

          public static final ScheduledTask.Type CHECK_FOR_SOFTWARE_UPDATES

    - #### UPDATE_SUSPICIOUS_OBJECTS_LIST

          public static final ScheduledTask.Type UPDATE_SUSPICIOUS_OBJECTS_LIST

  - ### Method Detail

    - #### values

          public static ScheduledTask.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScheduledTask.Type c : ScheduledTask.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScheduledTask.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### canHaveRecipients

          public boolean canHaveRecipients()

    - #### forValue

          public static ScheduledTask.Type forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.